Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

List price variants

This endpoint is used to retrieve a list of price variants.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/price_variants

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

sort_by[<sort-order>]
optional, object

optional, string filter

Sorts based on the specified attribute. Supported attributes : name, id, status, created_at, updated_at

Supported sort-orders : asc, desc

Example → sort_by[asc] = "name"

This will sort the result based on the 'name' attribute in ascending(earliest first) order.

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

optional, string filter

Filter variant based on their id . Supported operators : is, is_not, starts_with, in, not_in

Example → id[is] = "basic"

Supported operators: is, is_not, starts_with, in, not_in
Example → basic
name[<operator>]

optional, string filter

Filter variant based on their name s. Supported operators : is, is_not, starts_with, in, not_in

Example → name[is] = "basic"

Supported operators: is, is_not, starts_with, in, not_in
Example → basic
status[<operator>]

optional, enumerated string filter

Status of the coupon. Possible values are : active, expired, archived, deleted.

Supported operators : is, is_not, in, not_in

Example → status[is] = "active"

Supported operators: is, is_not, in, not_in
Example → active
updated_at[<operator>]

optional, timestamp(UTC) in seconds filter

Filter product based on their updated time . Supported operators : after, before, on, between

Example → updated_at[on] = "1243545465"

Supported operators: after, before, on, between
Example → 1243545465
created_at[<operator>]

optional, timestamp(UTC) in seconds filter

Filter product based on their created time . Supported operators : after, before, on, between

Example → created_at[before] = "1243545465"

Supported operators: after, before, on, between
Example → 1243545465
business_entity_id[<operator>]

optional, string filter

The unique ID of the business entity of this price_variant. Learn more about all the scenarios before using this filter.

Supported operators : is, is_present

Example → business_entity_id[is_present] = "true"

Supported operators: is_present, is
Example → business_entity_id
include_site_level_resources[<operator>]

optional, boolean filter

Default value is true . To exclude site-level resources in specific cases, set this parameter to false. Possible values are : true, false

Supported operators : is

Example → include_site_level_resources[is] = "null"

Supported operators: is

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Price variant object
Resource object representing price_variant